Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
Sequence Members
Sequence Class Constructors Methods Properties See Also Send Feedback

The Sequence type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| Sequence | Overloaded.

# Methods

| Name | Description
--- | --- | ---
| Close | Close the sequence handle. Any unused cached values are lost.
| Dispose | Release the resources held by this object, and close the sequence if it's still open.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Get | Overloaded. If there are enough cached values in the sequence handle then they will be returned. Otherwise the next value will be fetched from the database and incremented (decremented) by enough to cover the delta and the next batch of cached values. By default, sequence ranges do not wrap; to cause the sequence to wrap around the beginning or end of its range, set Wrap to true.
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| PrintStats | Overloaded. The diagnostic information is described by SequenceStats.
| Remove | Overloaded.
| Stats | Overloaded. In the presence of multiple threads or processes accessing an active sequence, the information returned by DB_SEQUENCE->stat() may be out-of-date. The DB_SEQUENCE->stat() method cannot be transaction-protected. For this reason, it should be called in a thread of control that has no open cursors or active transactions.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| BackingDatabase | The database used by the sequence.
| Cachesize | The current cache size.
| Decrement | If true, the sequence will be decremented.
| Increment | If true, the sequence will be incremented. This is the default.
| Key | The key for the sequence.
| Max | The maximum value in the sequence.
| Min | The minimum value in the sequence.
| Wrap | If true, the sequence should wrap around when it is incremented (decremented) past the specified maximum (minimum) value.

# See Also

Sequence Class
BerkeleyDB Namespace